# Gtk::BuilderError Class Reference

Exception class for Gdk::Builder errors. More...

Inherits Glib::Error.

Collaboration diagram for Gtk::BuilderError:

[legend]

List of all members.

## Public Types

enum | Code { INVALID_TYPE_FUNCTION, UNHANDLED_TAG, MISSING_ATTRIBUTE, INVALID_ATTRIBUTE, INVALID_TAG, MISSING_PROPERTY_VALUE, INVALID_VALUE, VERSION_MISMATCH, DUPLICATE_ID }

## Public Member Functions

| BuilderError (Code error_code, const Glib::ustring& error_message)
| BuilderError (GError* gobject)
Code | code () const

## Detailed Description

Exception class for Gdk::Builder errors.

## Member Enumeration Documentation

enum Gtk::BuilderError::Code

Enumerator:

  INVALID_TYPE_FUNCTION |
  UNHANDLED_TAG |
  MISSING_ATTRIBUTE |
  INVALID_ATTRIBUTE |
  INVALID_TAG |
  MISSING_PROPERTY_VALUE |
  INVALID_VALUE |
  VERSION_MISMATCH |
  DUPLICATE_ID |

## Constructor & Destructor Documentation

Gtk::BuilderError::BuilderError | ( | Code | error_code,
|  | const Glib::ustring & | error_message |
| ) |  |  |

Gtk::BuilderError::BuilderError | ( | GError * | gobject | ) | `[explicit]`

## Member Function Documentation

Code Gtk::BuilderError::code | ( |  | ) | const

Reimplemented from Glib::Error.

The documentation for this class was generated from the following file:

- gtkmm/builder.h